GNU bug report logs - #46642

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Softwafe Engineer <timsofteng@HIDDEN>; merged with #46580; dated Fri, 19 Feb 2021 19:02:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 46580 46642. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #46642 from all other report(s). Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46642 <at> debbugs.gnu.org:


Received: (at 46642) by debbugs.gnu.org; 27 Feb 2021 17:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 27 12:10:57 2021
Received: from localhost ([127.0.0.1]:45263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lG37J-0001ns-G7
	for submit <at> debbugs.gnu.org; Sat, 27 Feb 2021 12:10:57 -0500
Received: from mout02.posteo.de ([185.67.36.66]:42273)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1lG37H-0001ne-1Y
 for 46642 <at> debbugs.gnu.org; Sat, 27 Feb 2021 12:10:56 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 50DEF2400FD
 for <46642 <at> debbugs.gnu.org>; Sat, 27 Feb 2021 18:10:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1614445848; bh=Cl75equAU+u5R41ha60l4PpCy+4+9DdEJ61L1XhnE+E=;
 h=From:To:Subject:Date:From;
 b=e0I70hxn8VIWuN2PfnYazOCPFBUSyZbeq80fN22ZSApZbdfWbXmTIB+pPkORr6nIu
 5YUC4JD5X04hyaLxh6quKQIzvrcw0Dz2bR3gqLClWtxlHaPUPLUwmo5Yi7zKDaZouA
 ogiHDhTvv+GeapfUQPe9k5JCxu2sYiboSAFNn8xwsH4qS70Acpg243PX5BHK/iiyaB
 zZjHSVyyGLL3aTOV1cvIWIsEnoyU2dMjWJluaUQeyQd3KMhaP13P2SDhbTqhnffCLa
 GkQw9w9YRBYuM9DGXBy1wAFah3lx0Q9HR3VTli6nxNAigAc6PVwKlzHOW/zGDAUjmb
 qoxDabTMROCuQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DntMW60bxz6tmF
 for <46642 <at> debbugs.gnu.org>; Sat, 27 Feb 2021 18:10:47 +0100 (CET)
User-agent: mu4e 1.4.15; emacs 27.1
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: 46642 <at> debbugs.gnu.org
Subject: bug#46642: vim-full broken
Date: Sat, 27 Feb 2021 19:10:47 +0200
Message-ID: <87zgzpe8rs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46642
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

The commit Simon pointed out does indeed look like the culprit. I tried
building it myself vim-full with the time machine and it works before
988ac06ce8cf9b1760094e0e2ff23960355d07eb but any random commit I pick
after it (including it) makes the build fail.

-- 
Alexandru-Sergiu Marton




Information forwarded to bug-guix@HIDDEN:
bug#46642; Package guix. Full text available.

Message received at 46642 <at> debbugs.gnu.org:


Received: (at 46642) by debbugs.gnu.org; 24 Feb 2021 17:36:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 12:36:40 2021
Received: from localhost ([127.0.0.1]:35835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEy5Y-0008V6-Bg
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 12:36:40 -0500
Received: from mail-qk1-f170.google.com ([209.85.222.170]:45482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lEy5W-0008Ur-Vv
 for 46642 <at> debbugs.gnu.org; Wed, 24 Feb 2021 12:36:39 -0500
Received: by mail-qk1-f170.google.com with SMTP id z128so2905605qkc.12
 for <46642 <at> debbugs.gnu.org>; Wed, 24 Feb 2021 09:36:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=T5ZB145/8Sj3IyQim2d999g7NtDI5o6Rf8ewe4MdjiA=;
 b=EyouoJNPpHO40utCQpw7+vnkXHc3C9BlzW8+cAfAUgknOe1V8sLTOqjOpoiF1jS/fa
 Jr4tItsec03cCdNNpHteRZKXshE03yWepS+kH05MHWuo5b77pdAPFED5kgHTePKwuLpm
 gUU72YixcXqsgdtIiOTNN2NdZCS4E8fV8LNIUMKudaODf32cXLhQCmvs3dg/R1Mqxoxj
 7Tnayzy1QUN8EesibrrfIINIPFEhNEaM9V9EeJcs+0sN9vSyzDGhhqLMJwyVlgNdEkHj
 XV7vEWmAFYpwgIUPP8y++DgA7ahw4NxFMiYAVO4drHcJuDf61wuTPNnf77NY43F29rDL
 rGmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=T5ZB145/8Sj3IyQim2d999g7NtDI5o6Rf8ewe4MdjiA=;
 b=mEJ2/6Z0hLn6PhTLEW/T3LNRB4ZTyhnJbfQikItCTrDKVy9BDZ0sDbT9wQU77qXjQ3
 cjN3n8Sf/ckAo+D3Z3Cvcj++s8W7jjH7RGBZ/L7jkbivOCjRWmhEAS536/nX8b8YZjB7
 YgjjRoQXzU+wNwUQFSgrRTSkehibcGhz3b9emAmv419C5J0yppjFEggkqQvGdEST0D/5
 039yRGDT8WY/CFUBX41QZAecofC+R2ocPHc3SSaOWqSWD21cp2vYV+av+t2UMVbiWLFy
 fDYFGhLfx4fgIegw60WQ2fSmTVzCJdnDuvBnKIHJJLfteSVxPU+/ULzMn+Y6pFX8GUAO
 ixHw==
X-Gm-Message-State: AOAM531fBhi5jyhWGbI3IwaVMeoB1WUC4Dl9D8ku7W0kreBuGNJ/HGZW
 gn+CtIUvlPNsl7Oz1WVRNE2P57WUww3UBkrGwyk=
X-Google-Smtp-Source: ABdhPJwvFmma92sA4OwPx/9qQZ4qUcpZcPs1WpKLuBeTCYCgEE6GmZ28/ewbe2o0kVagQBSF3II5wSO9GQFBMlSLCCw=
X-Received: by 2002:a05:620a:630:: with SMTP id
 16mr1050650qkv.304.1614188193075; 
 Wed, 24 Feb 2021 09:36:33 -0800 (PST)
MIME-Version: 1.0
References: <CAP7bFfCc_mWqY4Qi=2-eBXU8NJFmT-JvKwW6Msd0OW_VsqadjQ@HIDDEN>
In-Reply-To: <CAP7bFfCc_mWqY4Qi=2-eBXU8NJFmT-JvKwW6Msd0OW_VsqadjQ@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 24 Feb 2021 18:36:21 +0100
Message-ID: <CAJ3okZ2SeErK=Utckuq+T9Pjz-juEwKf1EhYerq0DZDf7ZE2ZA@HIDDEN>
Subject: bug#46642: vim-full broken
To: Softwafe Engineer <timsofteng@HIDDEN>, John Soo <jsoo1@HIDDEN>,
 iyzsong@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46642
Cc: 46642 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Thanks for the report.

On Fri, 19 Feb 2021 at 20:02, Softwafe Engineer <timsofteng@HIDDEN> wrot=
e:

> Hello. vim-full package is broken.

I suspect the commit: 988ac06ce8cf9b1760094e0e2ff23960355d07eb.

--8<---------------cut here---------------start------------->8---
gnu: vim: Fix test_signals test.

* gnu/packages/vim.scm (vim)[arguments]: Add "CFLAGS=3D-D_REENTRANT" to

Signed-off-by: =E5=AE=8B=E6=96=87=E6=AD=A6 <iyzsong@HIDDEN>
--8<---------------cut here---------------end--------------->8---

It is between 4767ab4b (bad) and e429325d (good).

<https://data.guix.gnu.org/repository/1/branch/master/package/vim-full/outp=
ut-history>


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#46642; Package guix. Full text available.
Merged 46639 46642. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2021 19:01:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 14:01:37 2021
Received: from localhost ([127.0.0.1]:50378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDB20-0003Vr-Bt
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 14:01:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:40248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timsofteng@HIDDEN>) id 1lDAki-00034r-0f
 for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 13:43:59 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:34688)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <timsofteng@HIDDEN>)
 id 1lDAkh-0006RP-NW
 for bug-guix@HIDDEN; Fri, 19 Feb 2021 13:43:43 -0500
Received: from mail-qv1-xf34.google.com ([2607:f8b0:4864:20::f34]:45563)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <timsofteng@HIDDEN>)
 id 1lDAkg-0006qg-57
 for bug-guix@HIDDEN; Fri, 19 Feb 2021 13:43:43 -0500
Received: by mail-qv1-xf34.google.com with SMTP id dg2so929832qvb.12
 for <bug-guix@HIDDEN>; Fri, 19 Feb 2021 10:43:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=HQrU39ghj0Ly9Z2xIzDmBtkibFz4rTszr2dLJKpp+zg=;
 b=AQNkBUytV0x1k3qQg3TXbVWrTbYOpRlQjofdmpkRLEkdTLOG5sU2aNmzq79D4Vzzf9
 2vMmaukLyGSG0K70hhcbSls/AxDH0gY/b6P2kFMpEJJi1kJyor7GjwkNM4IP0UnlyFdm
 xxXMgrxO+Ze3IB+O6b1fsFvgkMrQZRoXIY+0jXwtPCs2xRaapnsoGeb5KVdLA+HI/25r
 EpisjLmW4vetKouLW8te+etAezN4RfyhpoG6Ui/arIrBOOPQDgzyx7BUfn9Oru8AsuuY
 AtmJGCG7ZcV4IcsjGYS57o0DKn1ebEBUU451/l7avzUM/sJKpIw3+5bqBJnKzjq5+aHT
 izBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=HQrU39ghj0Ly9Z2xIzDmBtkibFz4rTszr2dLJKpp+zg=;
 b=T+9zefNCjiJgS7zl98i7L48uHThT6uILU9Aif0vCHHu8KUoZl+3PoTMepzot1ds3MM
 QTb4U20exJrkmsGS7F7nz0DCuFSC/JtzzpEGUoc29ppig+xxJvInXfdtG6owIgdjLwQX
 pgKhXutzhdUkNou5G157+CboifohFaIb99CWG3MabaUS0xR3fk2a1tKtwuPtv3raIG4N
 05i/6YRSMSa5G2x4k5vSbSXeNDi1ptxqnbckofk+llkM4bDF7qacpGR9BUlFwcPNMMxb
 zwkqFAFzH2gYum4yJq67O9D4dQxK3lOId5LCukNxh1wQZrcHu35XwevR9E/CXrihRKL3
 OEFA==
X-Gm-Message-State: AOAM530rUEdI6daL8o/ZJJ4HnpJal0gBdLsAoHLyxUpge5Vxepylc7tV
 jVwoMOwvQRGxfbVZWUSAuPFC0sF4hXxbyGX0Gn1CH/T0t6iPwuC2
X-Google-Smtp-Source: ABdhPJwvduFwl5SVDbuGhdPkn2mj4Q44M+I6Wk9bLbEocpglMOJnt60qk0Ju+NP5HB15IhioLL49PLXVdLC96lPbMJs=
X-Received: by 2002:a05:6214:9b2:: with SMTP id
 du18mr10210366qvb.15.1613760220842; 
 Fri, 19 Feb 2021 10:43:40 -0800 (PST)
MIME-Version: 1.0
From: Softwafe Engineer <timsofteng@HIDDEN>
Date: Fri, 19 Feb 2021 20:43:29 +0200
Message-ID: <CAP7bFfCc_mWqY4Qi=2-eBXU8NJFmT-JvKwW6Msd0OW_VsqadjQ@HIDDEN>
Subject: 
To: bug-guix@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::f34;
 envelope-from=timsofteng@HIDDEN; helo=mail-qv1-xf34.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello. vim-full package is broken. Here is log:
 https://pastebin.com/xWvE1Fdh Here is guix describe: 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (timsofteng[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 19 Feb 2021 14:01:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello. vim-full package is broken.
Here is log:

https://pastebin.com/xWvE1Fdh

Here is guix describe:

  guix 8f710cc
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 8f710cc598fb675d267f49a82cffc197f03ad52c




Acknowledgement sent to Softwafe Engineer <timsofteng@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#46642; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 5 Mar 2021 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.